Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::LocalAccessAccumulator Struct Reference

`#include <GPUMemInfo.h>`

## Public Member Functions

| LocalAccessAccumulator (int bytes_per_access, bool verbose)
void | operator() (int thread_id, int x, int y, int z, int active, bool last_thread)
void | add_access_info (int num_requests, LocalMemInfo &local_mem_info, bool is_tail_warp) const

## Detailed Description

Definition at line 354 of file GPUMemInfo.h.

## Constructor & Destructor Documentation

## LocalAccessAccumulator()

Halide::Internal::Autoscheduler::LocalAccessAccumulator::LocalAccessAccumulator | ( | int | bytes_per_access,
|  | bool | verbose )

inline

Definition at line 355 of file GPUMemInfo.h.

## Member Function Documentation

## operator()()

void Halide::Internal::Autoscheduler::LocalAccessAccumulator::operator() | ( | int | thread_id,
|  | int | x,
|  | int | y,
|  | int | z,
|  | int | active,
|  | bool | last_thread )

inline

Definition at line 360 of file GPUMemInfo.h.

## add_access_info()

void Halide::Internal::Autoscheduler::LocalAccessAccumulator::add_access_info | ( | int | num_requests,
|  | LocalMemInfo & | local_mem_info,
|  | bool | is_tail_warp ) const

inline

Definition at line 372 of file GPUMemInfo.h.

References Halide::Internal::Autoscheduler::MemInfo< T >::add_access_info(), and Halide::Internal::Autoscheduler::MemInfo< T >::bytes_per_transaction.

The documentation for this struct was generated from the following file:

- src/autoschedulers/anderson2021/GPUMemInfo.h